Bug 428857 - apt is showing wrong version number for replaced packages (and the look is ugly)
apt is showing wrong version number for replaced packages (and the look is ugly)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On: 512518
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 13:07 EST by Leszek Matok
Modified: 2010-02-16 08:08 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.15lorg3.95-0.git416.5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 02:42:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correctly print a replacement line (1.08 KB, patch)
2009-09-23 18:54 EDT, Sergey
no flags Details | Diff

  None (edit)
Description Leszek Matok 2008-01-15 13:07:48 EST
This bug is there so long that I don't know why I'm even bothering. All this
time is evidence that it's a feature.

I'll try anyhow. Whenever one package obsoletes another (be it rsyslogd,
util-linux-ng or whatever, we have such change every few weeks), the version
numbers are a total mess. The one I see all the time is:
The following packages will be REPLACED:
   compat-gcc (7.3-2.96.128)
   (by ()
   compat-libgcc-296) (7.3-2.96.128)

What is that "()\n  " doing there?
What's the purpose of that second version?

I've seen more ugly examples when more packages were to be replaced (version
numbers appeared to come from other package pairs).

The way it should look is:
The following packages will be REPLACED:
   compat-gcc (7.3-2.96.128)
   (by compat-libgcc-296 (2.96-139))

This is apt-0.5.15lorg3.93-4.fc8.
Comment 1 Leszek Matok 2008-01-15 13:18:10 EST
I've made a small adjustment to the system to show how ugly can it be:
The following packages will be REPLACED:
   compat-gcc (7.3-2.96.128)     - compat-gcc's version, good
   (by (1.4.2-5.fc7)             - sysklogd's version :)
   compat-libgcc-296) ()         - this version field is empty now
    (7.3-2.96.128)               - but look, here's a new one :)
   sysklogd (1.4.2-5.fc7)        - once again, proper version
   (by ()                        - silly empty field
   rsyslog) (7.3-2.96.128)       - compat-gcc's version again :)
Those are 7 lines and there's no mention of compat-libgcc-296 or rsyslogd's true
version :)
Comment 2 Panu Matilainen 2008-01-15 13:48:39 EST
Heh, yes... well known and ages old silly but annoying bug that I just haven't
gotten around to do anything about although it's even in apt-rpm roadmap.
Comment 3 Bug Zapper 2008-11-26 04:26:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Leszek Matok 2008-11-26 11:43:43 EST
It surely is still present in F9. For F10, we'll see when apt gets fixed.
Comment 5 Bug Zapper 2009-06-09 19:22:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Sergey 2009-09-23 18:54:43 EDT
Created attachment 362370 [details]
Correctly print a replacement line

Attached pacth "fixes" the problem. Now output should look like:
The following packages will be REPLACED:
   compat-gcc (7.3-2.96.128) (by compat-libgcc-296)
   sysklogd (1.4.2-5.fc7) (by rsyslog)

It does not print versions of replacement packages here,
but you can see them in 'NEW packages' section.
Comment 7 Fedora Update System 2009-11-20 14:51:22 EST
apt-0.5.15lorg3.95-0.git416.5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/apt-0.5.15lorg3.95-0.git416.5.fc12
Comment 8 Fedora Update System 2009-11-24 02:42:35 EST
apt-0.5.15lorg3.95-0.git416.5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-02-14 12:22:31 EST
apt-0.5.15lorg3.95-0.git416.5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/apt-0.5.15lorg3.95-0.git416.5.fc11
Comment 10 Fedora Update System 2010-02-16 08:08:26 EST
apt-0.5.15lorg3.95-0.git416.5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.